1

Chris Rock to Hackers: 'Top Five' Is "Korean Friendly"

Written by Supp_scribe. Posted in MARKETING NEWS

Chris Rock is taking no chances, and has a message for North Korea: Top Five is totally "Korean friendly."
“There are no jokes about North Korea in Top Five. It is so cool for Koreans," he joked during an interview with Washington, D.C., affiliate Fox 5 News. "If you’re Korean, go out and see Top Five. You will enjoy it."

Though recent controversies surrounding Sony's The Interview have box-office analysts concerned over how the comedy's canceled release could affect other movies' business, Rock said he didn't worry about it hurting Top Five. He did admit the controversy gave him pause when considering taking his daughter to see Annie.
“When you’re dealing with a theater, it’s a lot of people, and anything can happen," Rock said. "Just a firecracker going off can cause a stampede or something. So this whole thing, it’s unprecedented. We’re in new water.”


Sony canceled the release of The Interview Wednesday after hackers threatened retaliation should the Seth Rogen, James Franco comedy be released. Multiple theater chains had already opted not to show the film before its cancellation. U.S. officials believe North Korea is behind the Nov. 24 cyberattack that continues to wreak havoc on Sony Pictures. The North Korean regime was upset about the film, which centered on a plot to assassinate its leader, Kim Jong Un.

SHITS HOT

Ludacris confirms beef with Drake is long settled
Consider any beef between Ludacris and Drake officially squashed. Ludacris confirmed he and his fellow big-name rapper are on good terms — a few days after Drake told the "Number One Spot" artist he has "a lot of

MARKETING NEWS

Katy Perry to earn $25 million as ‘American Idol’ judge
Katy Perry's got millions of new reasons to sing all the way to the bank — because she's taking home a massive paycheck for "American Idol." The "Firework" singer is set to earn $25 million from ABC as a judge on
Click Here

This page require Adobe Flash 9.0 (or higher) plug in.